<html xmlns="http://www.w3.org/1999/xhtml" lang="en"
	xmlns:f="http://typo3.org/ns/TYPO3/Fluid/ViewHelpers"
	xmlns:s="http://typo3.org/ns/ApacheSolrForTypo3/Solr/ViewHelpers"
	xmlns:twoh="http://typo3.org/ns/TWOH/TwohKickstarter/ViewHelpers"
	data-namespace-typo3-fluid="true"
>

<f:section name="Form">
	<div class="tx-solr-search-form">
		<s:searchForm id="tx-solr-search-form-pi-results" additionalFilters="{additionalFilters}" suggestHeader="{f:translate(key:'suggest_header',default:'Top Results')}">
				<f:for each="{existingParameters}" key="name" as="value">
					<f:form.hidden name="{pluginNamespace}{name}" value="{value}" />
				</f:for>

				<f:if condition="{addPageAndLanguageId}">
					<input type="hidden" name="L" value="{languageUid}" />
					<input type="hidden" name="id" value="{pageUid}" />
				</f:if>

				<div class="input-group">
					<input type="text" class="tx-solr-q js-solr-q form-control" name="{pluginNamespace}[q]" value="{q}" />
					<button class="btn btn-primary tx-solr-submit" type="submit">
						<twoh:svg svgPath="search.svg"/>
					</button>
				</div>
		</s:searchForm>
	</div>
</f:section>

</html>
